<div style="margin-top: 20px;">
    <div class="container">
        <div style="margin-top: 20px;">

            <div class="fieldset-legend">
                <p-accordion class="filter-accordion">
                    <p-accordionTab header="Filter Suspect Repeat Other" [selected]="true">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label jhiTranslate="mpmApp.suspectPerson.lastAssignTo">Last Assign To</label>
                                    <select class="form-control" [(ngModel)]="selectedCoordinatorSaleses">
                                            <option [value]="null"></option>
                                            <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.name}}</option>
                                    </select>
                                </div>
                                    <div class="form-group">
                                            <label jhiTranslate="mpmApp.suspectPerson.yearOfPurchase">Tahun Pembelian</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                        dateFormat="dd-mm-yy" 
                                                        [showIcon]="true" 
                                                        [monthNavigator]="true" [yearNavigator]="true"  yearRange="1994:2030"
                                                        [(ngModel)]="tgl3"
                                                            ></p-calendar>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                        dateFormat="dd-mm-yy" 
                                                        [showIcon]="true" 
                                                        [monthNavigator]="true" [yearNavigator]="true"  yearRange="1994:2030"
                                                        [(ngModel)]="tgl4"
                                                            ></p-calendar>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Status SMS</label>
                                    <select class="form-control" id="field_tipeTransaksi" name="tipeTransaksi" [(ngModel)]="statusMessage">
                                        <option [ngValue]="null"></option>
                                        <option [ngValue]="1"> Pending</option>
                                        <option [ngValue]="2"> Not Sent</option>
                                        <option [ngValue]="3"> Sent</option>
                                        <option [ngValue]="4"> Deliver</option>
                                        <option [ngValue]="5"> Not Deliver</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Status Suspect</label>
                                    <select class="form-control" id="field_tipeTransaksi" name="tipeTransaksi" [(ngModel)]="statusSuspect">
                                        <option [ngValue]="null"></option>
                                        <option [ngValue]="0">0</option>
                                        <option [ngValue]="1">1</option>
                                        <option [ngValue]="2">2</option>
                                        <option [ngValue]="3">3</option>
                                        <option [ngValue]="4">4</option>
                                        <option [ngValue]="5">5</option>
                                        <option [ngValue]="6">6</option>
                                        <option [ngValue]="7">7</option>
                                        <option [ngValue]="8">8</option>
                                        <option [ngValue]="9">9</option>
                                        <option [ngValue]="10">10</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Pembayaran</label>
                                    <select class="form-control" id="field_saleType" name="saleType" [(ngModel)]="statusPayment">
                                        <option [ngValue]="null"></option>
                                        <option [ngValue]="20">Cash</option>
                                        <option [ngValue]="21">Credit</option>
                                        <option [ngValue]="22">Cash - Off The Road</option>
                                        <option [ngValue]="50">Cash - COD</option>
                                        <option [ngValue]="51">Cash - CBD</option>
                                        <option [ngValue]="52">Credit - COD</option>
                                        <option [ngValue]="53">Credit - CBD</option>
                                        <option [ngValue]="54">Cash - Off The Road - COD</option>
                                        <option [ngValue]="55">Cash - Off The Road - CBD</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="btn-filter-wrapper">
                                <button type="button" class="btn btn-default" (click)="clear()">
                                    <span>Clear</span>
                                </button>
                                <button type="button" class="btn btn-primary btn-filter" (click)="filter()">
                                    <span>FILTER</span>
                                </button>
                        </div>
            </div>
            <div class="col-md-12" style="overflow:auto">
                <div class="pull-right">
                <button pButton type="button" class="ui-button-primary btn-sm" label="ASSIGN" (click)="assign()" [disabled]="selected?.length == 0"></button>
                </div>
            </div>
            <div>
               <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="{{ 'mpmApp.suspect.home.search' | translate }}">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                </form>
            </div>
            <p-dataTable 
                 [value]="suspectPeopleRO" 
                 [editable]="true" 
                 [rows]="itemsPerPage" 
                 [paginator]="true" 
                 [pageLinks]="5" 
                 [rowsPerPageOptions]="[10,15,20]" 
                 [totalRecords]="totalItems" 
                 [responsive]="true" 
                 [lazy]="true" 
                 dataKey="idparty" 
                 expandableRows="false"
                 (onLazyLoad)="loadDataLazy($event)" 
                 [(selection)]="selected"
                 (onEditComplete)="updateRowData($event)">
                <p-header>
                    <div class="row"></div>
                </p-header>
                <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                <p-column header="{{'mpmApp.suspectPerson.nik'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.personalIdNumber}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.name'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.firstName}} {{rowData.lastName}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.noMes'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.noMesin}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.salesDate'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.salesDate  | date:'dd-MMM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.repurchaseProbability'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.repurchaseProbability}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.priority'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.priority}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.statusSuspect'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                              {{rowData.statusSuspect}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.payment'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.payment}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.lastAssignTo'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.lastAssignTo}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.lastAssignDate'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.lastAssignDate  | date:'dd-MMM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.statusSMS'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.statusSms}}
                        </div>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>


<p-dialog header="Assign To" [(visible)]="display" modal="modal" width="600" [responsive]="true">
        <div class="form-group">
            <label jhiTranslate="mpmApp.prospect.salesman" for="field_salesman">Korsal</label>
            <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="selectedCoordinatorSales" >
                <option [value]="null">Select Korsal</option>
                <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.name}}</option>
            </select>
        </div>
       <p-footer>
            <button type="button" pButton icon="fa-check" (click)="assignTo()" label="Yes"></button>
            <button type="button" pButton icon="fa-close" (click)="display=false" label="No"></button>
        </p-footer>
</p-dialog>

<p-dialog [(visible)]="smsGateway" responsive="true" width="360" modal="true">
    <div>
        <div class="ui-g">
            <div class="ui-lg-12">
                <label> Apakah Akan Mengirim SMS Notifikasi ? </label>
            </div>
        </div>
    </div>
    <p-footer>
        <button type="button" pButton icon="fa-check" (click)="smsNo()" label="Yes"></button>
        <button type="button" pButton icon="fa-close" (click)="smsNo()" label="No"></button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="isCompleted" closable="true" responsive="true" width="360" modal="true">
    <div>
        <div class="ui-g">
            <div class="ui-lg-12">
                <label> {{total}} Data Berhasil di Assign ke Korsal {{korsname}}</label>
            </div>
        </div>
    </div>
</p-dialog>